body {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
    background-color: honeydew;
    font-family: sans-serif;
}

.puzzle-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 10px;
    border-radius: 10px;
    box-shadow: -5px -5px 20px white, 5px 5px 10px gray;
}

.puzzle {
    display: grid;
    grid-template-columns: repeat(3,100px);
    grid-template-rows: repeat(3,100px);
    gap: 5px;
    padding: 10px;
    border-radius: 10px;
}

.cell {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100px;
    height: 100px;
    color: black;
    background: peachpuff;
    font-size: 30px;
    cursor: pointer;
    border-radius: 10px;
    box-shadow: 0 0 10px black;
    transition: transform 0.3s, box-shadow 0.3px;
}

.cell:active {
    transform: translateZ(-10px);
    box-shadow: inset 0 0 10px black;
}

.empty {
    background-color: linen;
    cursor: default;
}

#shuffle-button {
    margin-top: 20px;
    padding: 10px 20px;
    font-size: 1rem;
    cursor: pointer;
    border-radius: 10px;
    box-shadow: 0 5px 10px black;
    transition: transform 0.3s;
    background: mistyrose;
}

#shuffle-button:active {
    transform: translate(2px);
}

#win-message {
    margin-top: 20px;
    font-size: 30px;
    color: black;
    padding: 10px;
}

.hidden {
    visibility: hidden;
}

